<?php

#########################################################
#                                                       #
#  This script is used for real time capturing of       #
#  parameters passed from Novalnet AG after Payment     #
#  processing of customers.                             #
#                                                       #
#  Copyright (c) 2008-2010 Novalnet AG                  #
#                                                       #
#  This script is only free to the use for Merchants of #
#  Novalnet AG                                          #
#                                                       #
#  If you have found this script useful a small         #
#  recommendation as well as a comment on merchant form #
#  would be greatly appreciated.                        #
#                                                       #
#  Version : 1.0.0 2008-10-04                           #
#                                                       #
#  Please contact sales@novalnet.de for enquiry or Info #
#                                                       #
#########################################################

    $aryCaptureParams = array();
    # passing/packing the parameters passed from the last page, in to an array
    $aryParams = array_merge($_POST,$_GET);
    # looping through the array and passing the parameters and values as variables
    foreach($aryParams as $blub=>$value)
    {
      #echo $blub."=$value<br>";
      if($value!="")
      {
        $blub = remove_string($blub);
        $value = remove_string($value);
        eval("\$$blub=\"$value\";");
        $aryCaptureParams[$blub] = $value;
      }
    }
    #var_dump($aryCaptureParams);

    if(!isset($aryCaptureParams['reference'])){$aryCaptureParams['reference']='';}
    if(!isset($aryCaptureParams['vendor_id'])){$aryCaptureParams['vendor_id']='';}
    if(!isset($aryCaptureParams['product_id'])){$aryCaptureParams['product_id']='';}
    if(!isset($aryCaptureParams['tid'])){$aryCaptureParams['tid']='';}

    ### BASIC AND CONFIGURATION DATA ###
    $today = date("d.m.Y");
    $caller_ip = getRealIpAddr();
    $comments = "Bestellstatus aenderung: Gutschrifteingang bei Novalnet am $today"; # The comment to be entered  on order history table
    $from = ''; # email from which the notice email to be sent to technic
    $reply_to = ''; # email where the reply to notice email to be sent
    $email = ''; # email adress where the notice email to be sent
    $copy_to = ''; # copy email where the notice email to be sent
    $subject = 'FEHLER beim Aufruf xt:commerce Novalnet Schnittstelle'; # subject of the email
    $body  = "Sehr geehrte Damen und Herren,\n\nfolgender Aufruf der Status Aenderung fuer Bestellungnummer '".$aryCaptureParams['reference']."' konnte nicht erfolgreich bearbeitet werden!\n\nBei Fragen wenden Sie sich bitte an Novalnet\n\ncaller_ip = $caller_ip\n\nnovalnet/vendor_script.php"; # body of the email
 
    ### NOVALNET DATA ###
    $vendor = '4'; # vendor id at novalnet
    $product = '99'; # product id at novalnet
    $ip_allowed = '195.143.189.210'; ## NOVALNET IP

    ### DATA FOR DATABASE ###
    $mysqlhost = "localhost"; // MySQL-Host 
    $mysqluser = "";          // MySQL-User
    $mysqlpwd  = "";        // Database Password 
    $mysqldb   = "";       // Database name
    $order_table = 'orders';  # DB - ORDER Table to be updated
    $order_history_table = 'orders_status_history';  # DB - ORDER HISTORY Table
    $status_2b_set = '2'; # The Order Status which is to be set 
    $max_status = '2'; # The Status till where the order status can be changed

    if($caller_ip==$ip_allowed && $aryCaptureParams['reference'] && $aryCaptureParams['tid'] && $aryCaptureParams['vendor_id']==$vendor)
    {
      ### MAKE DB CONNECTION ###
      $connection = mysql_connect($mysqlhost, $mysqluser, $mysqlpwd) or die("Database connection failed!");
      mysql_select_db($mysqldb, $connection) or die("Can't select the Database!");

      $qry = "show tables like '$order_table'";
      $res = mysql_query($qry) or die("<center>".mysql_errno().";".mysql_error()."</center><br>\n");
      list ($table) = mysql_fetch_array($res, MYSQL_NUM);

      if($table)
      {
        $qry = "select customers_name, customers_email_address, orders_status, date_purchased from $order_table where orders_id = '".$aryCaptureParams['reference']."'";
        $res = mysql_query($qry) or die("<center>".mysql_errno().";".mysql_error()."</center><br>\n");
        list ($customers_name, $customers_email_address, $orders_status, $date_purchased) = mysql_fetch_array($res, MYSQL_NUM);

        if($customers_name && $orders_status<$max_status && $orders_status!=$status_2b_set) 
        {
	  $qry = "update $order_table set orders_status = '$status_2b_set', last_modified = now() where orders_id = '".$aryCaptureParams['reference']."'";
	  $res = mysql_query($qry) or die("<center>".mysql_errno().";".mysql_error()."</center><br>\n");
          $updated = mysql_affected_rows();        
 
          if($updated)
	  {
            $qry = "show tables like '$order_history_table'";
      	    $res = mysql_query($qry) or die("<center>".mysql_errno().";".mysql_error()."</center><br>\n");
	    list ($table) = mysql_fetch_array($res, MYSQL_NUM);

	    if($table)
      	    {
	      ### INSERT HISTORY RECORDS ###
       	      $qry = "insert into $order_history_table (orders_id, orders_status_id, date_added, customer_notified, comments) values ('".$aryCaptureParams['reference']."', '$status_2b_set', now(), '0', '$comments')";
	      $res = mysql_query($qry) or die("<center>".mysql_errno().";".mysql_error()."</center><br>\n");
	    }
	  }
        }       
      }       	 
    }
    else
    {
	print "Seite nicht aufrufbar!\r\n";
	### ERRONEOUS CALL, SO SEND EMAIL TO TECHNIC

        if($from)
        {
	   header('Content-Type: text/html; charset=iso-8859-1');
           $headers = 'From: ' . $from . "\r\n";
	   if($reply_to)$headers .= 'Reply-To: ' . $reply_to . "\r\n";
	   else$headers .= 'Reply-To: ' . $from . "\r\n";

           if($copy_to)$headers .= 'Cc: ' . $copy_to . "\r\n";

  	   // calling the standard PHP Mail function
	   $mailOk = mail($email, $subject, $body, $headers);
        }

    }

    function isPublicIP($value) 
    {
        if(!$value || count(explode('.',$value))!=4) return false;
        return !preg_match('~^((0|10|172\.16|192\.168|169\.254|255|127\.0)\.)~', $value);
    }

    function getRealIpAddr()
    {
        if(isPublicIP($_SERVER['HTTP_X_FORWARDED_FOR'])) return $_SERVER['HTTP_X_FORWARDED_FOR'];
        if($iplist=explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']))
        {
            if(isPublicIP($iplist[0])) return $iplist[0];
        }
        if (isPublicIP($_SERVER['HTTP_CLIENT_IP'])) return $_SERVER['HTTP_CLIENT_IP'];
        if (isPublicIP($_SERVER['HTTP_X_CLUSTER_CLIENT_IP'])) return $_SERVER['HTTP_X_CLUSTER_CLIENT_IP'];
        if (isPublicIP($_SERVER['HTTP_FORWARDED_FOR']) ) return $_SERVER['HTTP_FORWARDED_FOR'];

        return $_SERVER['REMOTE_ADDR'];
    }

    ###########################################
    #  Function to remove unwanted string
    ###########################################
    function remove_string($string)
    {
        #$aryUnwantedString = ('"','^','`');
        $string = str_replace("'", "", $string);
        $string = str_replace('"', '', $string);
        $string = str_replace('^', '', $string);
        $string = str_replace('`', '', $string);

        return $string;
    }


?>
