<?php
#########################################################
#                                                       #
#  CC / Credit card payment text creator script         #
#  This script is used for translating the text for     #
#  real time processing of Credit card data of customer #
#                                                       #
#  Copyright (c) 2009-2010 Novalnet AG                  #
#                                                       #
#  Released under the GNU General Public License        #
#  novalnet_cc module Created By Dixon Rajdaniel        #
#  This free contribution made by request.              #
#  If you have found this script usefull a small        #
#  recommendation as well as a comment on merchant form #
#  would be greatly appreciated.                        #
#                                                       #
#  Script: novalnet_cc.php                              #
#  Version 1.0.1 2010-04-15                             #
#########################################################

  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_TITLE', '<NOBR><A HREF="http://www.novalnet.de" TARGET="_new"><IMG SRC="images/NN_Logo_T.png" ALT="Payment - Novalnet AG" BORDER="0"></A> Kreditkarten Bezahlung</NOBR>');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_DESCRIPTION', 'Schnell und Sicher bezahlen &uuml;ber Novalnet AG<BR>Bitte vor Aktivierung alle noetigen IDs im Bearbeitungmodus eingeben!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_LANG', 'DE');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_INFO', '');
  define('MODULE_PAYMENT_NOVALNET_CC_STATUS_TITLE', 'Kreditkarten Modul aktivierung');
  define('MODULE_PAYMENT_NOVALNET_CC_STATUS_DESC', 'Wollen Sie das Kreditkarten Modul des Novalnet AG aktivieren?');
  define('MODULE_PAYMENT_NOVALNET_CC_VENDOR_ID_TITLE', 'Novalnet H&auml;ndler ID');
  define('MODULE_PAYMENT_NOVALNET_CC_VENDOR_ID_DESC', 'Novalnet H&auml;ndler ID');
  define('MODULE_PAYMENT_NOVALNET_CC_AUTH_CODE_TITLE', 'Novalnet H&auml;ndler Authorisierungsschl&uuml;ssel');
  define('MODULE_PAYMENT_NOVALNET_CC_AUTH_CODE_DESC', 'Novalnet H&auml;ndler Authorisierungsschl&uuml;ssel');
  define('MODULE_PAYMENT_NOVALNET_CC_PRODUCT_ID_TITLE', 'Novalnet Angebots-ID');
  define('MODULE_PAYMENT_NOVALNET_CC_PRODUCT_ID_DESC', 'Ihre Angebots-ID bei Novalnet');
  define('MODULE_PAYMENT_NOVALNET_CC_TARIFF_ID_TITLE', 'Novalnet Tarif-ID');
  define('MODULE_PAYMENT_NOVALNET_CC_TARIFF_ID_DESC', 'die Tarif-ID des Angebots');
  define('MODULE_PAYMENT_NOVALNET_CC_MANUAL_CHECK_LIMIT_TITLE', 'Manueller &Uuml;berpr&uuml;fung der Zahlung ab');
  define('MODULE_PAYMENT_NOVALNET_CC_MANUAL_CHECK_LIMIT_DESC', 'Bitte den Betrag in Cent eingeben');
  define('MODULE_PAYMENT_NOVALNET_CC_PRODUCT_ID2_TITLE', 'Zweite Angebots-ID Novalnet');
  define('MODULE_PAYMENT_NOVALNET_CC_PRODUCT_ID2_DESC', 'zur manuellen &Uuml;berpr&uuml;fung');
  define('MODULE_PAYMENT_NOVALNET_CC_TARIFF_ID2_TITLE', 'Zweite Tarif-ID Novalnet');
  define('MODULE_PAYMENT_NOVALNET_CC_TARIFF_ID2_DESC', 'zur manuellen &Uuml;berpr&uuml;fung');
  define('MODULE_PAYMENT_NOVALNET_CC_BOOK_REF_TITLE', 'Ihr hinterlegter Verwendungszweck bei Novalnet');
  define('MODULE_PAYMENT_NOVALNET_CC_BOOK_REF_DESC', '');
  define('MODULE_PAYMENT_NOVALNET_CC_ORDER_STATUS_ID_TITLE', 'Bestellungsstatus');
  define('MODULE_PAYMENT_NOVALNET_CC_ORDER_STATUS_ID_DESC', 'Der Bestellstatus des CC Modul');
  define('MODULE_PAYMENT_NOVALNET_CC_SORT_ORDER_TITLE', 'Sortierung nach.');
  define('MODULE_PAYMENT_NOVALNET_CC_SORT_ORDER_DESC', 'Sortierungsansicht.');
  define('MODULE_PAYMENT_NOVALNET_CC_ZONE_TITLE', 'Payment Zone');
  define('MODULE_PAYMENT_NOVALNET_CC_ZONE_DESC', 'Wenn ein Zone ausgew&auml;hlt ist dann wird dieser Modul nur f&uuml;r ausgew&aauml;hlte Zone aktiviert.');
  define('MODULE_PAYMENT_NOVALNET_CC_ALLOWED_TITLE', 'erlaubte Zonen');
  define('MODULE_PAYMENT_NOVALNET_CC_ALLOWED_DESC', 'Bitte die gew&uuml;nschten Zonen mit komma getrennt eingeben(Zb:AT,DE) oder einfach leer lassen');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_PUBLIC_TITLE', 'Kreditkarten Bezahlung <A HREF="http://www.novalnet.de" TARGET="_new"><IMG SRC="images/VI_Logo.png" ALT="Payment - Novalnet AG" BORDER="0">&nbsp;<IMG SRC="images/MC_Logo.png" ALT="Payment - Novalnet AG" BORDER="0"></A>');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CARD_OWNER', 'Kreditkarteninhaber:');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CARD_OWNER_LENGTH', '3');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CC_NO', 'Kartennummer:');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CC_NO_LENGTH', '12');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_EXP_MONTH', ' Monat:');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_EXP_MONTH_LENGTH', '2');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_EXP_YEAR', ' Jahr:');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_EXP_YEAR_LENGTH', '2');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_SELECT', 'Bitte waehlen');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CVC', 'CVC (Pruefziffer):<BR>&nbsp;<BR>&nbsp;<BR>&nbsp;<BR>&nbsp;<BR>&nbsp;<BR>');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CVC_LENGTH', '3');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_CVC2', '<BR>* Bei Visa-, Master- und Eurocard besteht der CVC-Code aus<BR>den drei letzten Ziffern im Unterschriftenfeld auf der<BR>Rueckseite der Kreditkarte.');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_BOOKING_INFO', '<BR><BR>Der Betrag wird von Ihrer Kreditkarte mit dem<BR>Verwendungszweck <B>$BOOKINFO</B> sofort abgebucht.');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_NN_MISSING', '* Basic Paramater Missing!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_CARD_OWNER', '* Kreditkarteninhaber muss mindestens 3 stellig sein!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_CC_NO', '* Kreditkartennummer muss mindestens 12 stellig sein!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_EXP_MONTH', '* Monat sollte mindestens 2 stellig sein!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_EXP_YEAR', '* Jahr sollte mindestens 2 stellig sein!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_CVC', '* CVC (Pruefziffer) sollte mindestens 3 stellig sein!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_JS_CVC2', '* ungueltige CVC (Pruefziffer)!');
  define('MODULE_PAYMENT_NOVALNET_CC_TEXT_ERROR', 'Kartendaten Fehler:');

?>
